Bug 486302 - (parrot) Review Request: parrot - Parrot Virtual Machine
Review Request: parrot - Parrot Virtual Machine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
http://www.parrot.org
:
: 246348 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 04:53 EST by Gerd Pokorra
Modified: 2010-05-18 14:46 EDT (History)
14 users (show)

See Also:
Fixed In Version: 1.0.0-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lkundrak: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)
Update .spec file (7.82 KB, application/octet-stream)
2009-03-22 13:33 EDT, David Fetter
no flags Details
rawhide mockbuild failed, buildlog attached. (265.96 KB, text/plain)
2009-04-09 08:35 EDT, Christoph Wickert
no flags Details

  None (edit)
Description Gerd Pokorra 2009-02-19 04:53:48 EST
Spec URL: ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/specs/parrot.spec
SRPM URL: ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/8/SRPMS/parrot-0.9.1-1.fc8.src.rpm
Description: 
Parrot is a virtual machine designed to efficiently compile and execute
bytecode for dynamic languages. Parrot is the target for Rakudo Perl 6,
as well as variety of other languages.
Comment 1 Peter Lemenkov 2009-02-19 07:22:30 EST
There was initial attempt to package this title (see https://bugzilla.redhat.com/show_bug.cgi?id=246348 ), so, please, contact Steven Pritchard in order to better coordinate your efforts.
Comment 2 Gerd Pokorra 2009-02-20 04:53:35 EST
An email to Steven Pritchard is written. I get no answer until now. Should I additional put the email-text as a comment to the id=246348?

I produced parrot-0.9.1 rpms (32bit) for Fedora 7, 8, 9, 10 and 11alpha.
On a 64bit computer I produced parrot-0.9.1 rpms for Fedora 9.
The packages are all stored under the URL ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/<fedora-release-number>/...

I would be nice if the packages would be tested. I am not sure if the parrot-0.9.1 packages are installable without problems on other computers. I think the package for Fedora 10 will make trouble.

It is a subpackage parrot-docs integrated. I think this subpackage do not need an architectur. But I am not successful to make it as a noarch subpackage.
Comment 3 Peter Lemenkov 2009-02-20 05:12:00 EST
(In reply to comment #2)
> An email to Steven Pritchard is written. I get no answer until now. Should I
> additional put the email-text as a comment to the id=246348?

Let's wait for a while - maybe he is at the vacations, maybe he got a lot of
work to do. In any case, feel free to add a comments to a previus review
request.

> I would be nice if the packages would be tested. I am not sure if the
> parrot-0.9.1 packages are installable without problems on other computers. I
> think the package for Fedora 10 will make trouble.

In order to check successful builds of packages, we may use koji (for example,
to check whether yourapp.srpm can be built on F-10):

koji build --scratch dist-f10 /path/to/yourapp.src.rpm

> It is a subpackage parrot-docs integrated. I think this subpackage do not need
> an architectur. But I am not successful to make it as a noarch subpackage.

Noarch subpackages is the upcoming feature of rpm, so let's wait while
necessary functionality will be fully implement and tested.

BTW if nobody volunteers, I'll review your package (after we establish
communications with Steven to resolve the issue above).
Comment 4 Jason Tibbitts 2009-02-21 18:25:08 EST
FYI, Steve indicated in an unrelated mailing list message that he is extremely busy at the moment and requested assistance getting his pacakges through the gcc44 thing, new fonts guidelines and mass rebuild.  He also indicated that he doesn't want to orphan them because he intends to come back when able.
Comment 5 Gerd Pokorra 2009-03-03 20:52:42 EST
By the ppc architecture the problems starting during configuring Parrot. May be there is a lot of work to do that Parrot builds on PowerPC. Is it necessary that parrot builds successful on ppc?
Comment 6 Gerd Pokorra 2009-03-05 22:27:09 EST
I was successful to build Parrot on PowerPC (ppc and ppc64).
Comment 7 Christoph Wickert 2009-03-22 07:02:03 EDT
*** Bug 246348 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Wickert 2009-03-22 07:12:58 EDT
Gerd, please build packages of 1.0.0 so we can review them.
Comment 9 Fabien Georget 2009-03-22 07:46:06 EDT
I build parrot 1.0.0 from the spec provided in the official tarball before I discovered this topic

I modified this spec to remove rpath and to add somes BuildRequires (ctags and openssl-devel)

Spec URL : http://www.bde.espci.fr/~george27/parrot.spec
Srpm URL : http://www.bde.espci.fr/~george27/parrot-1.0.0-1.fc10.src.rpm
Comment 10 Ian Weller 2009-03-22 12:46:24 EDT
I'm somewhat certain that filename-based Requires and BRs aren't allowed in Fedora. (BuildRequires:  /usr/bin/perldoc, Requires:       %{_libdir}/pkgconfig)
Comment 11 David Fetter 2009-03-22 13:33:57 EDT
Created attachment 336211 [details]
Update .spec file
Comment 12 Christoph Wickert 2009-03-22 14:42:30 EDT
Please don't use
Requires:       %{_libdir}/pkgconfig

Instead require pkgconfig which owns this dir, see
https://fedoraproject.org/wiki/Packaging/Guidelines#Pkgconfig_Files

File based deps slow down the dependency resolution process and should only be used when it makes sense (e. g. two different packages provide %{_bindir}/foo).
Comment 13 Christoph Wickert 2009-03-22 14:45:43 EDT
Note that 
  %ifarch i386 x86_64
is obsolete, now that we build i586. Use
  %ifarch %{ix86} x86_64
instead.
Comment 14 David Fetter 2009-03-22 15:04:35 EDT
Per Christoph's comments:

Spec: http://fetter.org/~shackle/parrot.spec
SRPM: http://fetter.org/~shackle/parrot-1.0.0-3.fc10.src.rpm
Comment 15 Fabien Georget 2009-03-22 16:49:12 EDT
Package devel not full.

I can't build pynie (http://code.google.com/p/pynie/). The tools repertory have to be installed. I try, but I have still this error :

[manawy@teatime]~/Téléchargement/pynie-read-only% ./configure
Creating Makefile
Can't locate Parrot/Configure.pm in @INC (@INC contains: /usr/lib64/parrot/1.0.0/tools/dev/../../lib /usr/lib64/parrot/1.0.0/tools/dev/../lib /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/local/lib64/perl5/site_perl/5.10.0/x86_64-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/local/lib/perl5/site_perl /usr/local/lib64/perl5/site_perl /usr/lib/perl5/site_perl .) at /usr/lib64/parrot/1.0.0/tools/dev/gen_makefile.pl line 12.
BEGIN failed--compilation aborted at /usr/lib64/parrot/1.0.0/tools/dev/gen_makefile.pl line 12.
You can now use 'gmake' to build Pynie, and 'gmake test' to test it.
Comment 16 Gerd Pokorra 2009-03-23 12:08:42 EDT
I think this is only a problem with "pynie" because the necessary changes are not make since pynie has it own's svn repository. I tried to build pynie with an checked out parrot and there are also problems:

[gz016@vgerd1 pynie.svn]$ perl Configure.pl
Creating Makefile
Can't open build/Makefile.in: Datei oder Verzeichnis nicht gefunden at /home/gz016/parrot/tools/dev/../../lib/Parrot/Configure/Compiler.pm line 346.

You can now use 'gmake' to build Pynie, and 'gmake-test' to test it.
[gz016@vgerd1 pynie.svn]$ 

No configuration options are working, even --gen-parrot are not working.
Comment 17 Marcela Mašláňová 2009-03-24 07:14:13 EDT
It would be nice to have parrot in Fedora, when it had realeased v1.0.

The rpmlint output should be really fixed before review. rpmlint parrot-doc has huge output and also parrot-devel has serious error.
parrot-devel.x86_64: E: no-ldconfig-symlink /usr/lib64/libparrot.so  

Would be someone from previous packagers interested in reviewing this? It seems to me that you spend a lot of time on this issue and you'll make the most thorough review.
Comment 18 Allison Randal 2009-03-24 11:18:58 EDT
(In reply to comment #16)
> I think this is only a problem with "pynie" because the necessary changes are
> not make since pynie has it own's svn repository.

Pynie compiles and runs just fine from an installed Parrot and from the Ubuntu packages.

Your packages are missing a number of development libraries necessary for building a language from source. You could include them in the 'parrot' package, but a better solution is to add a parrot-devel package for the developer tools. Let me know if you need a list of files to install (it will be the same list as the Ubuntu packages).

Allison
Comment 19 Gerd Pokorra 2009-03-24 17:36:26 EDT
(In reply to comment #18)
> Pynie compiles and runs just fine from an installed Parrot and from the Ubuntu
> packages.
> 
> Your packages are missing a number of development libraries necessary for
> building a language from source. You could include them in the 'parrot'
> package, but a better solution is to add a parrot-devel package for the
> developer tools. Let me know if you need a list of files to install (it will be
> the same list as the Ubuntu packages).
> 
> Allison 

Hello Allison,

I remember your message for the Ubuntu packages and looked at the URL.
I think it will be easier for my, if you send me a list of the necessary files which are needed to be installed. I am thinking to do this files in a tools subpackage.

Gerd
Comment 20 Gerd Pokorra 2009-03-25 05:29:27 EDT
The latest spec is:

Spec URL: ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/specs/parrot.spec

Build URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=1257732

- change the Group of the subpackage "-docs" to Documentation
- put the main-documentation from the docs-package to the main package
- add some newer source revision
Comment 21 Gerd Pokorra 2009-03-26 06:28:00 EDT
- LICENSE file added
- copy parrot source directory "lib" to add perl modules


I added files until building pynie works:

[gz016@vgerd1 pynie.svn]$ make
/usr/bin/parrot  /usr/lib64/parrot/1.0.0/languages/nqp/nqp.pbc --output=src/gen_actions.pir \
            --encoding=fixed_8 --target=pir src/parser/actions.nqp
/usr/bin/perl -MExtUtils::Command -e cat src/builtins/funcs.pir src/builtins/io.pir src/builtins/lists.pir src/builtins/oper.pir > src/gen_builtins.pir
/usr/bin/parrot  -o pynie.pbc pynie.pir
[gz016@vgerd1 pynie.svn]$ 


The URL of the latest spec file remains the same.
Comment 22 Gerd Pokorra 2009-03-26 15:46:44 EDT
libparrot.so is not a symlink because with

make install DESTDIR=$RPM_BUILD_ROOT

a perl script will be executed that copy from BUILD (blib/lib/) to BUILDROOT but did not care about that libparrot.so is a symlink. A workaround can be done in the 
spec file (I tried). I think it is better the Parrot community will patch the source in the next days.
Comment 23 Gerd Pokorra 2009-03-27 03:40:04 EDT
The URL of the spec file with the workaround is:

ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/specs/parrot.spec.6

The URL of the ticket is:

https://trac.parrot.org/parrot/ticket/509
Comment 24 Gerd Pokorra 2009-03-31 11:57:25 EDT
The latest URL are:
Spec: ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/specs/parrot.spec
SRPM: ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/SRPMS/parrot-1.0.0-5.fc10.src.rpm

- add patch for the file "tools/dev/install_files.pl"
- take svn-resion: 37825 in src.rpm
Comment 25 Christoph Wickert 2009-03-31 16:32:16 EDT
Lubomir, if you are going to review this package I will sponsor Gerd. We are both Germans and we already know each other, so I think it makes sense.
Comment 26 Gerd Pokorra 2009-04-02 04:38:25 EDT
I modified the spec-file and build the source rpm (.src.rpm) again.

The URLs for this latest files are still the same:
Spec: ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/specs/parrot.spec
SRPM:
ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/SRPMS/parrot-1.0.0-5.fc10.src.rpm

- take the parrot source in .src.rpm from svn-revision 37835
- add commands to reduce output of errors when using rpmlint
- define RPM_PAR_LIB_DIR added

The scratch builds with "koji" from Fedora 8 to Fedora 11 still finished
successful, the URLs are:
f8: http://koji.fedoraproject.org/koji/taskinfo?taskID=1272316
f9: http://koji.fedoraproject.org/koji/taskinfo?taskID=1272363
f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=1272424
f11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1272461

Although "rpmlint" output of parrot rpms writes a lot of errors. I place the
output of rpmlint under a directory with the URL:
ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/rpmlint

The most errors occurs because parrots build system is for different operation
systems und use explicit calls to execute scripts. I think this should not
aviod the review. Would anyone of the Fedora rpm experts say my if rpmlint
errors should still reduced or if it does not matter?

P.S. I have holiday until 8th April and go on a trip. So I will not look and work at this before the 9th April.
Comment 27 Gerd Pokorra 2009-04-02 09:36:07 EDT
In the source rpm (.src.rpm) I put again the original tar file (parrot-1.0.0.tar.gz). The URL of the SRPM remains the same.
Comment 28 Christoph Wickert 2009-04-09 08:35:40 EDT
Created attachment 338895 [details]
rawhide mockbuild failed, buildlog attached.

I tried to rebuild the latest package locally in mock, but it failed. Please take a look at the error.
Comment 29 Christoph Wickert 2009-04-09 08:56:55 EDT
Ok, a scratch build succeeded: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1287295

I cannot eliminate a problem with my computer, eventually bad RAM, so I suggest to ignore the above comment.
Comment 30 Gerd Pokorra 2009-04-09 09:26:04 EDT
I updated "parrot.spec" and the source rpm. The URLs remain the same.

- change 'make install' to 'make install-dev' to also install support for development
- add subpackage "tools"
Comment 31 Christoph Wickert 2009-04-09 10:25:35 EDT
FYI: The build error from comment # 28 was caused by SELinux, so we don't need to care about it any further.
Comment 32 Lubomir Rintel 2009-04-19 09:16:21 EDT
Uff, this seems to need a lot of work to be accepted. Sorry the review took so long.

1.) Don't require perl modules by package name:

BuildRequires:  perl-Test-Harness
Requires:       perl-Pod-Simple
...

This would be better:

BuildRequires:  perl(Test::Harness)
...

2.) Source1 is useless:

BuildRequires:  ed
Source1:        reduce_rpmlint_err.tar.gz

Do what the scripts do inline. It might be a lot easier to use sed instead of ed.

3.) Subpackage buildrequire

%package docs
...
BuildRequires:  perl

%package tools
...
BuildRequires:  ed

Makes no sense. Please don't define BRs in subpackages.
Furthermore, perl is in default buildgroup, thus can be ommited.

4.) Why would tools require pkgconfig?

%package tools
...
Requires:       pkgconfig

5.) This always evaluates to false

if test "%{_vendor}" = "suse"

please remove it

6.) No architecture independence

%ifarch %{ix86} x86_64
...
%else
# PowerPC
...
%endif

Remove this, or explain.

7.) %{_smp_mflags} not used

make
make parrot_utils
make installable
make html

Either use them or explain why you don't.

8.) No useless comments please

#make install DESTDIR=$RPM_BUILD_ROOT
...
#rm -rf $RPM_BUILD_ROOT/%{_docdir}/parrot         # for Solaris?

9.)

10.) Don't strip anything

%{__strip} %{RPM_PAR_LIB_DIR}dynext/*.so

Remove this

11.) Bad comment

rm -rf $RPM_BUILD_ROOT%{_usr}/share/doc/parrot    # necessary for SuSE

Well, eh, SUSE?

12.) Use macros for directories where appropriate

    --lex=/usr/bin/flex \
    --yacc=/usr/bin/yacc \
...
rm -rf $RPM_BUILD_ROOT%{_usr}/share/doc/parrot    # necessary for SuSE

%{_bindir}, %{_datadir}, etc...

13.) Compiler generates .so-s executable

# Force permissions on shared versioned libs so they get stripped.
find $RPM_BUILD_ROOT%{_libdir} -type f -name '*.so.*' -exec chmod 755 {} \;

Is this necessary? Explain if yes.

14.) Enable test suite

# make test < /dev/null
# %{?_with_fulltest:make fulltest < /dev/null}
# make test || :
# %{?_with_fulltest:make fulltest || :}

15.) Comment patches and submit them upstream?

Patch0:         parrot-install_files.patch

What does this do? Was it submitted upstream?

16.) Provides not sane

parrot-tools:

perl(DB)
Perl debugger? I guess not.

perl(File::Which) = 0.05
You embed File::Which in /usr/lib/parrot/1.0.0/tools/lib/File/Which.pm
You should not. Depend on perl-File-Which package instead.

parrot-docs:

perl(A)  
perl(B)  

You should not provide these.

17.) Doc shouldn't depend on perl:
parrot-docs requires these:

perl(strict)  
perl(warnings)
Comment 33 Lubomir Rintel 2009-04-19 09:20:24 EDT
18.) Don't use chrpaths to get rid of rpaths
patch the build configuration instead.
Comment the LD_LIBRARY_PATH hack.
Comment 34 Gerd Pokorra 2009-04-20 08:56:11 EDT
Points 1, 3 and 18 are already done.
Files are updated on the FTP-Server: ftp.uni-siegen.de.
Comment 35 Lubomir Rintel 2009-04-20 09:35:45 EDT
(In reply to comment #34)
> Points 1, 3 and 18 are already done.

Thanks.

> Files are updated on the FTP-Server: ftp.uni-siegen.de.  

I'll proceed with the review once all points are acted upon (either fixed or explained). Please post full URL of SRPM and SPEC file once it is done.
Comment 36 Gerd Pokorra 2009-04-23 04:46:31 EDT
Thank you for the very helpful list of points to have fixed.
All points are fixed now. I hope the comments in the spec file are sufficient.

URLs:

SRPM-file: ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/SRPMS/parrot-1.0.0.src.rpm
SPEC-file: ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/specs/parrot.spec

Scratch-Build-f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=1316317

rpmlint-output: ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/rpmlint
Comment 37 Lubomir Rintel 2009-04-23 15:06:49 EDT
Seems much better. Thanks a lot for your effort! I'll take a closer look on weekend and approve this unless there's something serious, which is unlikely. Until then, there's a couple of minor issues that may need some attention:

1.) Are you sure you want to pin this to one specific version?
Using >= 0.05 would make much more sense. Even if 0.06 or some later version breaks this, it wouldn't make things any worse and save you from having to bump this on updates.

Requires:       perl(File::Which) = 0.05

2.) Booo, this sucks :)

...
%else
# PowerPC, not all options work with the PowerPC-architecture, I do not test
# which is not working   (Gerd)

When compiled on non-x86, compiler complains about non-existent -maccumulate-outgoing-args option. Why is it needed? Remove it, or make it conditional for x86, rest of Configure.pl options seem to work well on powerpc.

3.) Why is this conditional?

%{?_with_fulltest: make fulltest}

Does it take a lot of time? If yes, it should still be used for production builds and disabled for development ones; having the condition effectively reverted, replacing _with_fulltest by _without_fulltest.

4.) Please exclude static library:

%{_libdir}/libparrot.a
Comment 38 Lubomir Rintel 2009-04-23 15:17:41 EDT
Also, I see this blocks FE_NEEDSPONSOR. I can sponsor you, but I'll appreciate if you've picked a package or two from the review queue and done a informal reviews before. That is usually done to demonstrate that packager is familiar with RPM and packaging guidelines.

This might be helpful to find a package that's waiting for a review:
http://fedoraproject.org/PackageReviewStatus/NEW.html
Comment 39 Christoph Wickert 2009-04-23 15:38:57 EDT
(In reply to comment #38)
> Also, I see this blocks FE_NEEDSPONSOR. I can sponsor you, but I'll appreciate
> if you've picked a package or two from the review queue and done a informal
> reviews before.

As i said in comment # 25 I'd like to sponsor Gerd once this package is reviewed. Nevertheless some informal pre-reviews wouldn't hurt.
Comment 40 Gerd Pokorra 2009-04-24 13:31:48 EDT
For the closer look on weekend I fixed the four points from the second list today.
So your weekend is saved but do not look too close. :-)
Comments are in the spec file.

The changed files have still the same URL:
SRPM-file:
ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/SRPMS/parrot-1.0.0.src.rpm
SPEC-file: ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora/specs/parrot.spec

The URL of the scratch-build with fulltest:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13191
Comment 41 Gerd Pokorra 2009-04-24 13:37:32 EDT
Sorry, the URL from the scratch-build was wrong (it miss to numbers):
http://koji.fedoraproject.org/koji/taskinfo?taskID=1319166
Comment 42 David Fetter 2009-04-24 15:24:32 EDT
What about 1.1.0?
Comment 43 Christoph Wickert 2009-04-24 15:43:45 EDT
1.1.0 is not intended to be a stable release and we want 1.0.0 to appear in F-10 and F-11. We can easily upgrade to 1.1.0 in rawhide once this package is reviewed.
Comment 44 Lubomir Rintel 2009-04-25 01:37:20 EDT
Thanks Gerd, seems perfect now.

- Spec file clean and legible, American English used
- Filelists sane
- Requires & Provides ok
- Uses compiler flags
- Respects FHS
- RPMlint reasonably happy
- Compiles fine in mock
- Works

Tadaaaa...

APROVED

(Contrary to what I stated in comment #38, Christoph is probably going to sponsor you now.)
Comment 45 Christoph Wickert 2009-04-25 06:26:09 EDT
(In reply to comment #44)
> (Contrary to what I stated in comment #38, Christoph is probably going to
> sponsor you now.)  

Gerd, I 'm sponsorind you now in order to get parrot into Fedora 11. Nevertheless I'd like to see some review efforts from you before you submit other packages.
Comment 46 Jochen Schmitt 2009-04-27 01:39:55 EDT
Please add an ExcludeArc for ppc64 and ppc on the package. The build of the package fails on this architecture. Because I have try it too, I have open a bug on upstream.complaining about this issue.
Comment 47 Jochen Schmitt 2009-04-27 01:42:56 EDT
Sorry for the additional comment. But I will point out, that It's possible to do a scratch build for a package on koji without the need, that a cvs module may exist for it. This may be hekpful to find out issue described on #46
Comment 48 David Fetter 2009-04-27 01:44:23 EDT
Gerd, rakudo doesn't build on 1.0.  Please consider an upgrade.
Comment 49 Gerd Pokorra 2009-04-27 02:59:32 EDT
David, rakudo doesn't build on an installed Parrot 1.1.0 or on an installed current svn-version. May be patches from Reini Urban help:
 http://code.google.com/p/cygwin-rurban/source/browse/trunk/release/parrot
For discussing that you should post to: parrot-dev@lists.parrot.org
Comment 50 Gerd Pokorra 2009-04-27 03:25:27 EDT
about #46 and #47:
Of course the package with the SPEC and SRPM files in this review build on ppc64 and ppc. It is tested with scratch builds without a cvs module for it.
Comment 51 Lubomir Rintel 2009-04-27 06:09:59 EDT
Gerd, now that you're sponsored, please request CVS and import the package (as described in http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure)

When it comes to the ppc issue, please do not ExcludeArch it. Feel free to ask for help in case you'll be having trouble getting it build.
Comment 52 Gerd Pokorra 2009-04-27 07:07:14 EDT
New Package CVS Request
=======================
Package Name: parrot
Short Description: Parrot is a virtual machine
Owners: gerd
Branches: F-8 F-9 F-10 F-11
InitialCC: gerd
Comment 53 Jochen Schmitt 2009-04-27 12:48:11 EDT
Sorry, I have to point out, that F-8 is EOL.
Comment 54 Kevin Fenzi 2009-04-28 22:53:44 EDT
cvs done (without F-8, as we do not allow branches for F-8 anymore).
Comment 55 Fedora Update System 2009-04-30 07:21:10 EDT
parrot-1.0.0-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/parrot-1.0.0-6.fc9
Comment 56 Fedora Update System 2009-04-30 07:21:19 EDT
parrot-1.0.0-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/parrot-1.0.0-6.fc11
Comment 57 Fedora Update System 2009-04-30 07:21:26 EDT
parrot-1.0.0-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/parrot-1.0.0-6.fc10
Comment 58 Fedora Update System 2009-05-02 12:31:29 EDT
parrot-1.0.0-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 59 Fedora Update System 2009-05-02 12:32:51 EDT
parrot-1.0.0-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 60 Fedora Update System 2009-05-09 00:21:26 EDT
parrot-1.0.0-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 61 Gerd Pokorra 2010-05-18 03:24:33 EDT
Package Change Request
======================
Package Name: parrot
New Branches: EL-6
Owners: gerd


A first successful epel scratch build is at the URL:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2193445
Comment 62 Dennis Gilmore 2010-05-18 14:46:00 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.